> ## Documentation Index
> Fetch the complete documentation index at: https://magicblock-42-supermarioblock-patch-3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Initialize Mint

> Build an unsigned base-chain transaction that initializes and delegates a validator-scoped transfer queue for a mint.



## OpenAPI

````yaml /privacy-openapi.json POST /v1/spl/initialize-mint
openapi: 3.1.0
info:
  title: SPL Private Payments API
  version: 0.1.0
  description: >-
    REST API for building private SPL token transactions on Solana and
    MagicBlock ephemeral rollups.


    Documentation:
    https://docs.magicblock.gg/pages/private-ephemeral-rollups-pers/how-to-guide/quickstart
servers:
  - url: https://payments.magicblock.app
    description: Mainnet - SPL Private Payments API
security: []
paths:
  /v1/spl/initialize-mint:
    post:
      tags:
        - SPL
      description: >-
        Build an unsigned base-chain transaction that initializes and delegates
        a validator-scoped transfer queue for a mint.
      requestBody:
        required: true
        description: Initialize mint request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InitializeMintRequest'
      responses:
        '200':
          description: Unsigned serialized transaction
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitializeMintResponse'
              example:
                kind: initializeMint
                version: legacy
                transactionBase64: >-
                  AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAIDKmcfsS5XfSOLaLlaBHJry50iH2Ufk2TMz4STC2fHzIcFKkerg3q2DD3Yn8TISmGeKoxSLz+BiP7iQ4pYqXYXsgu8D8C7R8ovdMQRLpSrE8+jxjTl3BfqywPNGiPNfnh8eS+smowIxqKDcCjw5liNXQkkCbBSDCBDFwtrgCKqoQ0DAgEBBAECAwQCAQEEAgIDBAIBAQQDAgME
                sendTo: base
                recentBlockhash: 9A4VhP8M8fQZxP4h7rB6mP6eM8w2pJkYh7QdZk7V4r2x
                lastValidBlockHeight: 284512337
                instructionCount: 4
                requiredSigners:
                  - 3rXKwQ1kpjBd5tdcco32qsvqUh1BnZjcYnS5kYrP7AYE
                validator: MAS1Dt9qreoRMQ14YQuhg8UTZMMzDdKhmkZMECCzk57
                transferQueue: BuBHLbaPmYmgvMiZ8uZb96RjBtmWzJY52u7Di5urNf6M
                rentPda: Bt9oNR5cCtnfuMmXgWELd6q5i974PdEMQDUE55nBC57L
        '400':
          description: Build error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
components:
  schemas:
    InitializeMintRequest:
      type: object
      properties:
        payer:
          type: string
          example: 3rXKwQ1kpjBd5tdcco32qsvqUh1BnZjcYnS5kYrP7AYE
        mint:
          type: string
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        cluster:
          anyOf:
            - type: string
              enum:
                - mainnet
                - devnet
            - type: string
          example: mainnet
          description: >-
            Optional. Use `mainnet` for BASE_RPC_URL and EPHEMERAL_RPC_URL,
            `devnet` for BASE_DEVNET_RPC_URL and EPHEMERAL_DEVNET_RPC_URL, or
            provide a custom http(s) RPC URL to override the base RPC while
            keeping the configured ephemeral RPC.
        validator:
          type: string
          example: MAS1Dt9qreoRMQ14YQuhg8UTZMMzDdKhmkZMECCzk57
          description: >-
            Optional. Defaults to the selected ephemeral RPC identity resolved
            via `getIdentity`.
      required:
        - payer
        - mint
      example:
        payer: 3rXKwQ1kpjBd5tdcco32qsvqUh1BnZjcYnS5kYrP7AYE
        mint: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        validator: MAS1Dt9qreoRMQ14YQuhg8UTZMMzDdKhmkZMECCzk57
    InitializeMintResponse:
      allOf:
        - $ref: '#/components/schemas/UnsignedTransactionResponse'
        - type: object
          properties:
            kind:
              type: string
              enum:
                - initializeMint
            transferQueue:
              type: string
              example: So11111111111111111111111111111111111111112
            rentPda:
              type: string
              example: So11111111111111111111111111111111111111112
          required:
            - validator
            - transferQueue
            - rentPda
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          required:
            - code
            - message
      required:
        - error
    ValidationErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - VALIDATION_ERROR
            message:
              type: string
            issues:
              type: array
              items:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  path:
                    type: array
                    items:
                      anyOf:
                        - type: string
                        - type: number
                required:
                  - code
                  - message
                  - path
          required:
            - code
            - message
            - issues
      required:
        - error
    UnsignedTransactionResponse:
      type: object
      properties:
        kind:
          type: string
          enum:
            - deposit
            - withdraw
            - transfer
        version:
          type: string
          enum:
            - legacy
        transactionBase64:
          type: string
        sendTo:
          $ref: '#/components/schemas/BalanceLocation'
        recentBlockhash:
          type: string
        lastValidBlockHeight:
          type: integer
        instructionCount:
          type: integer
          minimum: 0
        requiredSigners:
          type: array
          items:
            type: string
            example: So11111111111111111111111111111111111111112
        validator:
          type: string
          example: So11111111111111111111111111111111111111112
      required:
        - kind
        - version
        - transactionBase64
        - sendTo
        - recentBlockhash
        - lastValidBlockHeight
        - instructionCount
        - requiredSigners
    BalanceLocation:
      type: string
      enum:
        - base
        - ephemeral

````